<!DOCTYPE html>
<html>
<head>
	<title>DUPLICATE ELEMENT REMOVER</title>
	<style>
		body
		{
			margin: 0;
			padding: 0;
		}
		form
		{
			margin-left: 35%;
			margin-top: 15%;
		}
	</style>
</head>
<body>
	<form>
		<input type="text" id="data">
		<input type="button" value="Add" onclick="additem()">
		<input type="button" value="Delete Duplicate" onclick="deleteduplicate()">
		<div id="all">
			
		</div>
	</form>


	<script>
		var arr1=[];
		function additem()
		{
				
			var data=document.getElementById("data").value;
			arr1.push(data);
			document.getElementById("all").innerHTML=arr1.join("<br>");
		}
		function deleteduplicate()
		{
			for(var i=0;i<arr1.length;i++)
			{
				for(var j=i+1;j<arr1.length;j++)
				{
					if(arr1[i]==arr1[j])
					{
						arr1.splice(j,1);
					}
				}
			}
			document.getElementById("all").innerHTML=arr1.join("<br>");
		}
	</script>


</body>
</html>